/*
  Warnings:

  - You are about to drop the column `inputType` on the `CommissionCustomInput` table. All the data in the column will be lost.
  - You are about to drop the column `label` on the `CommissionCustomInput` table. All the data in the column will be lost.
  - You are about to drop the column `required` on the `CommissionCustomInput` table. All the data in the column will be lost.
  - A unique constraint covering the columns `[name]` on the table `CommissionCustomInput` will be added. If there are existing duplicate values, this will fail.
  - Added the required column `fieldId` to the `CommissionCustomInput` table without a default value. This is not possible if the table is not empty.
  - Added the required column `inputType` to the `CommissionTypeCustomInput` table without a default value. This is not possible if the table is not empty.
  - Added the required column `label` to the `CommissionTypeCustomInput` table without a default value. This is not possible if the table is not empty.

*/
-- AlterTable
ALTER TABLE "CommissionCustomInput" DROP COLUMN "inputType",
DROP COLUMN "label",
DROP COLUMN "required",
ADD COLUMN     "fieldId" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "CommissionTypeCustomInput" ADD COLUMN     "inputType" TEXT NOT NULL,
ADD COLUMN     "label" TEXT NOT NULL,
ADD COLUMN     "required" BOOLEAN NOT NULL DEFAULT false;

-- CreateIndex
CREATE UNIQUE INDEX "CommissionCustomInput_name_key" ON "CommissionCustomInput"("name");
